﻿<%@ Page Language="C#" AutoEventWireup="true"  CodeFile="Send-server-transfer.aspx.cs" Inherits="Send_server_transfer" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Send data with Server.Transfer</title>
</head>
<body>
    <form id="form1" runat="server">
    <h1>Send data with Server.Transfer</h1>
    This example shows how you can send data from a webpage by using Server.Transfer. When the user clicks the "Change" button
    an e.command is sent with the "AssetTypeID" to the codepage and this value is then sent forward to a new webpage with the
    help of "Context.Items.Add" and "Server.Transfer".<br />
    <br />
    <asp:GridView ID="GridView1" runat="server" AutoGenerateColumns="False" DataKeyNames="AssetTypeID" PageSize="20"
        DataSourceID="SqlDataSource1" OnRowCommand="GridView1_RowCommand" AllowPaging="True" BackColor="White" BorderColor="Silver" BorderStyle="Solid" BorderWidth="1px" CellPadding="4" ForeColor="Black" GridLines="None">
        <Columns>
            <asp:BoundField DataField="AssetTypeID" HeaderText="ID" InsertVisible="False"
                ReadOnly="True" SortExpression="AssetTypeID" Visible="False" />
            <asp:BoundField DataField="TypeOwnID" HeaderText="Type ID" SortExpression="TypeOwnID" />
            <asp:BoundField DataField="TypeName" HeaderText="Name" SortExpression="TypeName" />
            <asp:CheckBoxField DataField="NoDeprication" HeaderText="No depr." SortExpression="NoDeprication" />
            <asp:BoundField DataField="AssetAccount" HeaderText="Asset" SortExpression="AssetAccount" />
            <asp:BoundField DataField="AccDepAccount" HeaderText="Acc depr." SortExpression="AccDepAccount" />
            <asp:BoundField DataField="DepricationAccount" HeaderText="Depr." SortExpression="DepricationAccount" />
            <asp:BoundField DataField="ProfitSaleAccount" HeaderText="Profit" SortExpression="ProfitSaleAccount" />
            <asp:BoundField DataField="LossSaleAccount" HeaderText="Loss" SortExpression="LossSaleAccount" />
            <asp:TemplateField HeaderText="Change" ShowHeader="False">
                <ItemTemplate>
                    <asp:LinkButton ID="ChangeLinkButton" runat="server" CausesValidation="false" CommandName="Change" CommandArgument='<%# Bind("AssetTypeID") %>'
                        Text="Change"></asp:LinkButton>
                </ItemTemplate>
            </asp:TemplateField>
        </Columns>
        <FooterStyle BackColor="#CCCC99" ForeColor="Black" />
        <PagerStyle BackColor="White" ForeColor="Black" HorizontalAlign="Right" />
        <SelectedRowStyle BackColor="#CC3333" Font-Bold="True" ForeColor="White" />
        <HeaderStyle CssClass="menu" Font-Bold="True" Height="20px" />
    </asp:GridView>
    <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConflictDetection="CompareAllValues"
        ConnectionString="<%$ ConnectionStrings:ConnectionString %>" ProviderName="<%$ ConnectionStrings:ConnectionString.ProviderName %>" 
        SelectCommand="SELECT AssetTypeID, TypeOwnID, TypeName, NoDeprication, AssetAccount, AccDepAccount, DepricationAccount, ProfitSaleAccount, LossSaleAccount FROM AssetType WHERE (CompanyID = @CompanyID) ORDER BY CompanyID" >
        <SelectParameters>
            <asp:ControlParameter ControlID="HiddenCompanyID" Name="CompanyID" PropertyName="Value"
                Type="Int64" />
        </SelectParameters>
    </asp:SqlDataSource>
    <asp:HiddenField ID="HiddenCompanyID" runat="server" />
    </form>
</body>
</html>
