using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Send_server_transfer : System.Web.UI.Page 
{
    protected void Page_Load(object sender, System.EventArgs e)
    {

        if (!Page.IsPostBack)
        {
            // When this page loads we get the company ID from a session variable to be able
            // to select data to the gridview

            HiddenCompanyID.Value = Convert.ToString(Session["CompanyID"]);
            GridView1.PageIndex = Int32.MaxValue;
        }
    }

    protected void GridView1_RowCommand(object sender, System.Web.UI.WebControls.GridViewCommandEventArgs e)
    {

        if (e.CommandName == "Change")
        {
            // When the user have clicked a "Change" button an CommandArgument is sent with the
            // AssetTypeID for the specific row and we then use Context.Items.Add to save and 
            // transfer AssetTypeID to Receive-server-transfer.aspx with the Server.Transfer argument.

            Context.Items.Add("AssetTypeID", (e.CommandArgument).ToString());
            Server.Transfer("Receive-server-transfer.aspx");
        }
    }
}
