
Partial Class Sendserver
    Inherits System.Web.UI.Page
    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If Page.IsPostBack = False Then

            ' When this page loads we get the company ID from a session variable to be able
            ' to select data to the gridview

            HiddenCompanyID.Value = Convert.ToString(Session("CompanyID"))
            GridView1.PageIndex = Int32.MaxValue
        End If
    End Sub
    Protected Sub GridView1_RowCommand(ByVal sender As Object, ByVal e As System.Web.UI.WebControls.GridViewCommandEventArgs)
        If e.CommandName = "Change" Then

            ' When the user have clicked a "Change" button an CommandArgument is sent with the
            ' AssetTypeID for the specific row and we then use Context.Items.Add to save and 
            ' transfer AssetTypeID to Receive-server-transfer.aspx with the Server.Transfer argument.

            Context.Items.Add("AssetTypeID", (e.CommandArgument).ToString())
            Server.Transfer("Receive-server-transfer.aspx")
        End If
    End Sub
End Class
